CVE-2002-0169
CVSS4.6
发布时间 :2002-05-29 00:00:00
修订时间 :2008-09-10 20:00:37
NMCO    

[原文]The default stylesheet for DocBook on Red Hat Linux 6.2 through 7.2 is installed with an insecure option enabled, which could allow users to overwrite files outside of the current directory from an untrusted document by using a full pathname as an element identifier.


[CNNVD]RedHat DocBook Tools默认样式表任意文件可写漏洞(CNNVD-200205-098)

        
        Red Hat Linux中包含一套工作于DocBook格式的工具和BOOK内容的XML规格。
        其中这些工具中的默认样式表存在漏洞,可导致本地攻击者覆盖本地系统任意文件,产生拒绝服务。
        当转换DocBook文档为多个HTML文件时将使用默认样式表,其中文档中的实体标识符用来生成输出文件名,攻击者可以构建包含使用全路径名的标识符的文档,当转换时任意指定的文件将被覆盖。
        升级后的docbook-utils将关闭此功能,并在产生文件名的时候基于实体类型而不是标识符。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:redhat:docbook_stylesheets:1.54.13Red Hat Stylesheets 1.54.13
cpe:/a:redhat:docbook_utils:0.6.13Red Hat Docbook_utils 0.6.13
cpe:/a:redhat:docbook_utils:0.6.9-2Red Hat Socbook_utils 0.6.9.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0169
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0169
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200205-098
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2002-062.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2002:062
http://www.securityfocus.com/bid/4654
(UNKNOWN)  BID  4654
http://www.osvdb.org/5349
(UNKNOWN)  OSVDB  5349
http://www.iss.net/security_center/static/8983.php
(UNKNOWN)  XF  linux-docbook-stylesheet-insecure(8983)
http://online.securityfocus.com/advisories/4095
(UNKNOWN)  HP  HPSBTL0205-038

- 漏洞信息

RedHat DocBook Tools默认样式表任意文件可写漏洞
中危 输入验证
2002-05-29 00:00:00 2005-05-02 00:00:00
本地  
        
        Red Hat Linux中包含一套工作于DocBook格式的工具和BOOK内容的XML规格。
        其中这些工具中的默认样式表存在漏洞,可导致本地攻击者覆盖本地系统任意文件,产生拒绝服务。
        当转换DocBook文档为多个HTML文件时将使用默认样式表,其中文档中的实体标识符用来生成输出文件名,攻击者可以构建包含使用全路径名的标识符的文档,当转换时任意指定的文件将被覆盖。
        升级后的docbook-utils将关闭此功能,并在产生文件名的时候基于实体类型而不是标识符。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 加强本地用户管理,不允许不可信用户使用程序。
        厂商补丁:
        HP
        --
        HP已经为此发布了一个安全公告(HPSBTL0205-038)以及相应补丁:
        HPSBTL0205-038:Security vulnerability in DocBooks package
        链接:
        补丁下载:
        HP Secure OS software for Linux 1.0的用户使用下面的RedHat 7.1的RPM升级程序
        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2002:062-08)以及相应补丁:
        RHSA-2002:062-08:Insecure DocBook stylesheet option
        链接:https://www.redhat.com/support/errata/RHSA-2002-062.html
        补丁下载:
        Red Hat Linux 6.2:
        SRPMS:
        ftp://updates.redhat.com/6.2/en/os/SRPMS/stylesheets-1.54.13rh-1.1.src.rpm
        noarch:
        ftp://updates.redhat.com/6.2/en/os/noarch/stylesheets-1.54.13rh-1.1.noarch.rpm
        Red Hat Linux 7.0:
        SRPMS:
        ftp://updates.redhat.com/7.0/en/os/SRPMS/stylesheets-1.54.13rh-5.1.src.rpm
        noarch:
        ftp://updates.redhat.com/7.0/en/os/noarch/stylesheets-1.54.13rh-5.1.noarch.rpm
        Red Hat Linux 7.1:
        SRPMS:
        ftp://updates.redhat.com/7.1/en/os/SRPMS/docbook-utils-0.6-13.2.src.rpm
        noarch:
        ftp://updates.redhat.com/7.1/en/os/noarch/docbook-utils-0.6-13.2.noarch.rpm
        ftp://updates.redhat.com/7.1/en/os/noarch/docbook-utils-pdf-0.6-13.2.noarch.rpm
        Red Hat Linux 7.2:
        SRPMS:
        ftp://updates.redhat.com/7.2/en/os/SRPMS/docbook-utils-0.6.9-2.1.src.rpm
        noarch:
        ftp://updates.redhat.com/7.2/en/os/noarch/docbook-utils-0.6.9-2.1.noarch.rpm
        ftp://updates.redhat.com/7.2/en/os/noarch/docbook-utils-pdf-0.6.9-2.1.noarch.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]

- 漏洞信息

5349
Red Hat Linux DocBook Insecure Option Overwrite Arbitrary File
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

DocBook contains a flaw that may allow a malicious user to allow untrusted documents to write to files outside of the working directory. The issue is triggered when a local user who has write access to a file uses a full pathname as an identifier in the document. It is possible that the flaw may allow a user to overwrite files outside of the current directory resulting in a loss of integrity.

- 时间线

2004-04-09 2002-04-26
Unknow Unknow

- 解决方案

Red Hat Linux 6.2: Upgrade to version stylesheets-1.54.13rh-1.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds. Red Hat Linux 7.0: Upgrade to version stylesheets-1.54.13rh-5.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds. Red Hat Linux 7.1: Upgrade to version docbook-utils-0.6-13.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds. Red Hat Linux 7.2: Upgrade to version docbook-utils-0.6.9-2.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds. HP Secure OS software for Linux 1.0: Upgrade to version docbook-utils-0.6-13.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站